import TabsView from "@/layouts/tabs/TabsView";
import BlankView from "@/layouts/BlankView";
import PageView from "@/layouts/PageView";

// 路由配置
const options = {
  routes: [
    {
      path: "/login",
      name: "登录页",
      component: () => import("@/pages/login"),
    },
    {
      path: "*",
      name: "404",
      component: () => import("@/pages/exception/404"),
    },
    {
      path: "/403",
      name: "403",
      component: () => import("@/pages/exception/403"),
    },
    {
      path: "/",
      name: "首页",
      component: TabsView,
      redirect: "/login",
      children: [
        // {
        //   path: "list",
        //   name: "企业分类",
        //   meta: {
        //     icon: "table",
        //   },
        //   component: PageView,
        //   children: [
        //     {
        //       path: "query",
        //       name: "查询表格",
        //       meta: {
        //         authority: {
        //           role: "admin",
        //         },
        //       },
        //       component: () => import("@/pages/list/QueryList"),
        //     },
        //   ],
        // },
        {
          path: "companyManagement",
          name: "企业管理",
          meta: {
            icon: "home",
            authority: {
              role: "admin",
            },
          },
          component: BlankView,
          children: [
            {
              path: "companyList",
              name: "企业列表",
              meta: {
                authority: {
                  role: "admin",
                },
                page: {
                  cacheAble: true,
                },
              },
              component: () => import("@/pages/companyManagement/companyList"),
            },
            {
              path: "classification",
              name: "企业分组",
              meta: {
                authority: {
                  role: "admin",
                },
              },
              component: () =>
                import("@/pages/companyManagement/classification"),
            },
          ],
        },
        {
          path: "projectManagement",
          name: "项目管理",
          meta: {
            icon: "container",
            authority: {
              role: "admin",
            },
          },
          component: () =>
            import("@/pages/projectManagement/projectManagement"),
        },
        {
          path: "satisfactionSurvey",
          name: "满意度调查表",
          meta: {
            icon: "file-text",
            authority: {
              role: "admin",
            },
          },
          component: () =>
            import("@/pages/satisfactionSurvey/satisfactionSurvey"),
        },
      ],
    },
  ],
};

export default options;
