import { request, METHOD } from "@/utils/request";

export async function editPassword(data) {
  return request(`/api/admin/user/updatePassword`, METHOD.POST, data);
}

/** -----------------------企业列表----------------------------- */

export async function resetPassword(data) {
  return request(`/api/admin/user/resetPassword`, METHOD.POST, data);
}

export async function createCompanyUser(data) {
  return request(`/api/admin/user/register`, METHOD.POST, data);
}

export async function getCompanyList(data) {
  return request(`/api/admin/company/queryCompanyList`, METHOD.GET, data);
}

export async function deleteCompany(id) {
  return request(`/api/admin/company/${id}`, METHOD.DELETE, {});
}

export async function getCompanyInfo(id) {
  return request(`/api/admin/company/${id}`, METHOD.GET, {});
}

export async function createCompany(data) {
  return request("/api/admin/company", METHOD.POST, data);
}

export async function editCompany(data) {
  return request(`/api/admin/company/${data.id}`, METHOD.PUT, data);
}

export async function getProjectListByCompanyId(data) {
  return request(
    `/api/admin/project-company-relation/selectProjectListByCompanyId`,
    METHOD.GET,
    data
  );
}

// 根据企业项目id查已填写的满意度表
export async function getProjectSatisfactionLogInfo(id) {
  return request(`/api/admin/satisfaction-log/${id}`, METHOD.GET, {});
}

// 根据企业项目id查已填写的自定义表
export async function getProjectFormLogInfo(id) {
  return request(`/api/admin/detail-log/${id}`, METHOD.GET, {});
}

/** -----------------------企业分组----------------------------- */

export async function createCompanyType(data) {
  return request("/api/admin/company-type", METHOD.POST, data);
}

export async function getCompanyTypeList(data) {
  return request("/api/admin/company-type", METHOD.GET, data);
}

export async function deleteCompanyType(id) {
  return request(`/api/admin/company-type/${id}`, METHOD.DELETE, {});
}

export async function getCompanyTypeInfo(id) {
  return request(`/api/admin/company-type/${id}`, METHOD.GET, {});
}

export async function editCompanyType(data) {
  return request(`/api/admin/company-type/${data.id}`, METHOD.PUT, data);
}

/** -----------------------项目列表----------------------------- */

export async function createProject(data) {
  return request("/api/admin/project", METHOD.POST, data);
}

export async function getProjectList(data) {
  return request("/api/admin/project/queryProjectList", METHOD.GET, data);
}

export async function editProject(data) {
  return request(`/api/admin/project/${data.id}`, METHOD.PUT, data);
}

export async function getProjectInfo(id) {
  return request(`/api/admin/project/${id}`, METHOD.GET, {});
}

export async function deleteProject(id) {
  return request(`/api/admin/project/${id}`, METHOD.DELETE, {});
}

/** -----------------------项目表单列表----------------------------- */

export async function getProjectFormList(data) {
  return request(
    "/api/admin/project-detail/queryListByProjectId",
    METHOD.GET,
    data
  );
}

export async function createProjectForm(data) {
  return request("/api/admin/project-detail", METHOD.POST, data);
}

export async function editProjectForm(data) {
  return request(`/api/admin/project-detail/${data.id}`, METHOD.PUT, data);
}

export async function deleteProjectForm(id) {
  return request(`/api/admin/project-detail/${id}`, METHOD.DELETE, {});
}

export async function getProjectFormInfo(id) {
  return request(`/api/admin/project-detail/${id}`, METHOD.GET, {});
}

/** -----------------------项目企业列表----------------------------- */

export async function getProjectCompanyList(data) {
  return request(
    "/api/admin/project/queryCompanyListByProjectId",
    METHOD.GET,
    data
  );
}

export async function addProjectCompany(data) {
  return request("/api/admin/project-company-relation", METHOD.POST, data);
}

export async function addProjectCompanyByCompanyType(data) {
  return request(
    "/api/admin/project-company-relation/insertRelationList",
    METHOD.GET,
    data
  );
}

export async function deleteProjectCompany(data) {
  return request(
    `/api/admin/project-company-relation/removeCompanyInProject`,
    METHOD.DELETE,
    data
  );
}

export async function getProjectCompanyFormList(data) {
  return request(
    "/api/admin/detail-log/queryFormListForCompany",
    METHOD.GET,
    data
  );
}

export async function editProjectCompanyStatus(data) {
  return request(
    `/api/admin/project-company-relation/${data.id}`,
    METHOD.PUT,
    data
  );
}

export async function getProjectCompanyRelationId(data) {
  return request(
    "/api/admin/project-company-relation/selectRelationByCompanyId",
    METHOD.GET,
    data
  );
}

/** -----------------------满意度表----------------------------- */

export async function getSatisfactionSurveyList(data) {
  return request("/api/admin/satisfaction-model", METHOD.GET, data);
}

export async function createSatisfactionSurvey(data) {
  return request("/api/admin/satisfaction-model", METHOD.POST, data);
}

export async function editSatisfactionSurvey(data) {
  return request(`/api/admin/satisfaction-model/${data.id}`, METHOD.PUT, data);
}

export async function getSatisfactionSurveyInfo(id) {
  return request(`/api/admin/satisfaction-model/${id}`, METHOD.GET, {});
}

export async function getCompanyBySatisfaction(data) {
  return request(
    `/api/admin/satisfaction-model/queryCompanyListBySatisfactionId`,
    METHOD.GET,
    data
  );
}

export async function deleteSatisfactionSurvey(id) {
  return request(`/api/admin/satisfaction-model/${id}`, METHOD.DELETE, {});
}

export async function getUserBySatisfactionId(data) {
  return request(
    `/api/admin/satisfaction-log/queryLogListBySatisfactionId`,
    METHOD.GET,
    data
  );
}

/** -----------------------数据统计----------------------------- */

export async function getStatisticsById(data) {
  return request(`/api/admin/project/queryStatistical`, METHOD.GET, data);
}
